# POST /event-queues/:queue_id/bulk-enroll

**Resource:** [Auto Queues](./auto-queues.md)  
**MCP tool:** `bulk_enrol_in_auto_queue`  
**Scopes:** `automations:write`  
**Write operation:** yes

Bulk-enrol contacts or deals in an event queue.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `queue_id` | path | string | yes |  |
| `entity_type` | body | string | yes |  |
| `entity_ids` | body | array | yes |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/event-queues/:queue_id/bulk-enroll"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"entity_type":"...","entity_ids":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`